/* Initial setup css: */
* {
  box-sizing: border-box;
  scroll-behavior: smooth;
  /*    remove scroll bars     */
  -ms-overflow-style: none; /* IE 11 */
  scrollbar-width: none; /* Firefox 64 */
  font-family: "Poppins", sans-serif;
  font-family: "Public Sans", sans-serif;
}
*::-webkit-scrollbar {
  display: none;
}
.App {
  height: 100%;
}

#root {
  height: 100dvh;
}

/* Scroll bar css: */
/* width */
::-webkit-scrollbar {
  width: 0;
  height: 0.6em;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 3px rgb(213, 213, 213);
  border-radius: 10px;
  margin: 1em;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #f5f5f5;
  border-radius: 10px;
  border: 1px solid rgb(213, 213, 213);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: black;
}

/* Remove autofill background color: */
/*    remove autofill background color     */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  transition: background-color 5000s ease-in-out 0s, color 5000s ease-in-out 0s;
  transition-delay: background-color 5000s, color 5000s;
}

section {
  display: inline-flex;
  gap: 1rem;
  overflow: auto;
  height: 100%;
  height: -moz-available; /* WebKit-based browsers will ignore this. */
  flex-wrap: wrap;
  align-items: center;
}

.test {
  padding: 1rem;
}

.MuiDataGrid-cell {
  padding: 10px !important;
}
